#!/usr/bin/perl
#
# Istvan Bondar
#
$|=1;
use strict;

my ($s, $n, $k, $line, $infile);
my ($sta, $prista, $lat, $lon, $elev);

if (@ARGV < 1) {
    print "Usage: UpdateIR_stalist.pl StationFile\n";
    print "StationFile is an ISC-style station list:\n";
    print "   sta, altsta, latitude, longitude, elevation\n";
    exit -1;
}
($infile) = @ARGV;
#
#
# Read stationfile
#     sta, altsta, lat, lon, elev
#
#
$n = 0;
$s = "";
open(IN, $infile) || die "Cannot open file!\n";
open(OU, "> IR2.IR_stalist") || die "Cannot open file!\n";
while (<IN>) {
    s/\r\n$/\n/;      # replace CRLF with LF
    ($sta, $prista, $lat, $lon, $elev) = split ', ';
    chomp($elev);
    $line = "FDSN.IR.$sta.--:$lat $lon $elev";
    print OU "$line\n";
    $s .= "$line\n* <EOE>\n";
    $n++;
}
close OU;
close IN;
print "$n IR stations\n";
#
#
# update IR section in IR2_stalist
#
#
if (-e "IR2_stalist") {
    `cp IR2_stalist IR2_stalist.old`;
    $k = 1;
    open(IN, "IR2_stalist.old") || die "Cannot open file!\n";
    open(OU, "> IR2_stalist") || die "Cannot open file!\n";
    while ($line = <IN>) {
        if ($line =~ /FDSN\.IR\./) {
            print OU $s if ($k);
            <IN>;
            $k = 0;
        }
        else {
            print OU $line
        }
    }
    close IN;
    close OU;
}
else {
    open(OU, "> IR2_stalist") || die "Cannot open file!\n";
    print OU $s;
    close OU;
}
print "updated IR section in IR2_stalist\n";
print "done\n";

#
#EOF


